Page MenuHomePhabricator

Create dedicated pages for ERI Recent Changes Beta project
Closed, ResolvedPublic

Description

The navigation template for ERI is the best way we have to structure all these documentation pages.

Related Objects

StatusAssignedTask
DuplicateQgil
ResolvedQgil
ResolvedQgil
OpenNone
DuplicateNone
ResolvedDannyH
ResolvedDannyH
Resolved jmatazzoni
Resolved jmatazzoni
ResolvedMooeypoo
ResolvedPginer-WMF
ResolvedPginer-WMF
ResolvedPginer-WMF
ResolvedPginer-WMF
OpenPginer-WMF
ResolvedPginer-WMF
OpenPginer-WMF
ResolvedPginer-WMF
ResolvedPginer-WMF
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedCatrope
ResolvedSBisson
ResolvedNone
ResolvedTrizek-WMF
ResolvedCatrope
ResolvedCatrope
DuplicateNone
OpenNone
ResolvedTrizek-WMF
ResolvedTrizek-WMF
ResolvedMooeypoo
ResolvedSBisson
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedMooeypoo
Resolved Mattflaschen-WMF
ResolvedSBisson
Resolved jmatazzoni
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedMooeypoo
Resolved jmatazzoni
ResolvedMooeypoo
Resolved jmatazzoni
ResolvedSBisson
ResolvedMooeypoo
ResolvedMooeypoo
ResolvedMooeypoo
Resolved jmatazzoni
Resolved jmatazzoni
OpenNone
ResolvedMooeypoo
Resolved jmatazzoni
ResolvedMooeypoo
ResolvedMooeypoo
DeclinedNone
ResolvedMooeypoo
ResolvedMooeypoo
Resolved Mattflaschen-WMF
Resolved Mattflaschen-WMF
Resolved jmatazzoni
ResolvedNone
InvalidNone
ResolvedSBisson
ResolvedMooeypoo
Resolved jmatazzoni
ResolvedSBisson
ResolvedCatrope
Resolved jmatazzoni
ResolvedJohan
ResolvedTrizek-WMF
ResolvedSBisson
ResolvedPginer-WMF
Resolved jmatazzoni
ResolvedTrizek-WMF
Resolved jmatazzoni
Resolved jmatazzoni
Resolved jmatazzoni
ResolvedTrizek-WMF
ResolvedPginer-WMF
Resolved jmatazzoni
ResolvedCatrope
ResolvedPginer-WMF
Resolved jmatazzoni

Event Timeline

Restricted Application added a subscriber: Aklapper. · View Herald TranscriptSep 26 2016, 4:54 PM
Trizek-WMF changed the task status from Open to Stalled.EditedSep 26 2016, 4:54 PM

Waiting for Collaboration's team input.

Trizek-WMF renamed this task from Create a dedicated pages for ERI Recent Changes Beta project to Create dedicated pages for ERI Recent Changes Beta project.Sep 29 2016, 9:50 AM
Trizek-WMF triaged this task as Low priority.Sep 30 2016, 8:57 AM
Qgil added a subscriber: Qgil.Oct 11 2016, 9:50 AM

Waiting for Collaboration's team input.

What kind of input? Are there any specific blockers other than T141449? I just need to know whether this task is committed to Community-Relations-Support (Oct-Dec-2016) and whether the Stalled status responds to regular work that needs to be done before or some bigger / unknown question mark.

Trizek-WMF added a comment.EditedOct 11 2016, 3:40 PM

The basic input is "what are we going to do". At the moment, we are conducting user testing on a prototype (T147632) that will help to shape the project. When these tests will be concluded and product specs defined, I'l be able to start writing these help pages. The Recent changes change will happen this quarter.

Does this task require a wiki page that describes this project? Or is it asking for a help page for users of the RC page filters? I'm sure both are necessary. I'm just not sure which task this describes.

Does this task require a wiki page that describes this project? Or is it asking for a help page for users of the RC page filters? I'm sure both are necessary. I'm just not sure which task this describes.

Both and more :)
I've edited the description to give provide specifics.

Trizek-WMF updated the task description. (Show Details)Nov 9 2016, 2:20 PM
Trizek-WMF updated the task description. (Show Details)Nov 17 2016, 3:34 PM

I've changed some details in the task description to reflect how documentation should be written.

I've also moved the filtering project base page here, with a new name, more easier to understand.

Trizek-WMF added a comment.EditedNov 17 2016, 6:36 PM

Ping @jmatazzoni as we have discussed about these pages during today's standup, especially that page that already exists and should be reviewed by adding that section and then marked for translation.

Trizek-WMF changed the task status from Stalled to Open.
Trizek-WMF raised the priority of this task from Low to Normal.

Work has started!

Trizek-WMF updated the task description. (Show Details)Nov 24 2016, 3:31 PM
Trizek-WMF updated the task description. (Show Details)Feb 9 2017, 9:55 AM

Is this now complete?

No. The Quick tour with the most important things to know about that feature, and dedicated pages about Prediction, Filtering and Highlighting are missing.

Page about Filtering and Predictions are now very roughly drafted.

Trizek-WMF updated the task description. (Show Details)Feb 17 2017, 10:23 AM
Trizek-WMF updated the task description. (Show Details)Feb 17 2017, 10:47 AM
Trizek-WMF updated the task description. (Show Details)Feb 23 2017, 5:23 PM
Trizek-WMF updated the task description. (Show Details)Feb 23 2017, 5:56 PM
Trizek-WMF updated the task description. (Show Details)Feb 27 2017, 2:48 PM
Trizek-WMF updated the task description. (Show Details)Feb 27 2017, 4:30 PM

Today's update:

  • Quick tour page has been simplified, some extra elements have been moved to other pages (nothing has been lost from @jmatazzoni's edits).
  • Predictions page is pending translate wiki messages.
  • Highlighting page has been created, with some text from Joe.
Trizek-WMF updated the task description. (Show Details)Feb 28 2017, 4:28 PM
Trizek-WMF updated the task description. (Show Details)

Following T146669#3061785, Quick tour page is now marked for translation. Images will be added later.

Trizek-WMF updated the task description. (Show Details)Mar 6 2017, 4:34 PM

Filtering help page is done.

Trizek-WMF updated the task description. (Show Details)Mar 15 2017, 5:52 PM
Trizek-WMF added a comment.EditedMar 17 2017, 4:07 PM

Note concerning filtering: Patrolled/Unpatrolled filters (Review status group) need to be added to the Help page, with a note saying that users must have the Patroller right to see them. (source: T149452#3110070)

Trizek-WMF closed this task as Resolved.Mar 27 2017, 2:02 PM

All pages have been illustrated, reviewed and marked for translation.

Qgil awarded a token.Apr 5 2017, 9:44 AM